| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.MenuComboToolbar.SeparatorMenuItem

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description
A separator used in menus
Synopsis

data SeparatorMenuItem
class MenuItemClass o => SeparatorMenuItemClass o
castToSeparatorMenuItem :: GObjectClass obj => obj -> SeparatorMenuItem
toSeparatorMenuItem :: SeparatorMenuItemClass o => o -> SeparatorMenuItem
separatorMenuItemNew :: IO SeparatorMenuItem

Detail
The `SeparatorMenuItem` is a separator used to group items within a menu. It displays a horizontal line with a shadow to make it appear sunken into the interface.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----Item
     |                                 +----MenuItem
     |                                       +----SeparatorMenuItem

Types
data SeparatorMenuItem

Instances

class MenuItemClass o => SeparatorMenuItemClass o

Instances

castToSeparatorMenuItem :: GObjectClass obj => obj -> SeparatorMenuItem
toSeparatorMenuItem :: SeparatorMenuItemClass o => o -> SeparatorMenuItem
Constructors
separatorMenuItemNew :: IO SeparatorMenuItem
Creates a new `SeparatorMenuItem`.
Produced by Haddock version 2.4.2